[% case_type_id = zaak ? zaak.get_column('zaaktype_id') : zaaktype_node.get_column('zaaktype_id') %]

[% appointment_interfaces = c.model('DB::Interface').search_active({module => 'koppelapp_appointments'}) %]
[% interface_uuid = kenmerk.bibliotheek_kenmerken_id.properties.appointment_interface_uuid %]

[% FOR interface IN appointment_interfaces %]
    [% IF interface.uuid == interface_uuid %]
        [% appointment_interface = interface %]
    [% END %]
[% END %]

[% IF appointment_interface %]
    [% endpoint = appointment_interface.process_trigger('getEndpoint') %]
    [% createButtonText = appointment_interface.process_trigger('getCreateButtonText') %]
    [% updateButtonText = appointment_interface.process_trigger('getUpdateButtonText') %]
[% END %]

[% appointment_value = veldoptie_value.0 || veldoptie_value %]

<span
  class="ezra_qmatic_appointment_edit veldoptie-qmatic"
  data-ng-controller="nl.mintlab.case.AppointmentV2Controller"
  data-ng-init='[% IF appointment_value %]appointment=[% appointment_value %];[% END %]field_id="[% veldoptie_id %]";[% IF zaak.id %]case_id="[% zaak.id %]";[% END %]init(appointment, "[% endpoint %]", "[% createButtonText %]", "[% updateButtonText %]")'
  data-zs-popup="'/html/case/appointment_v2.html'"
>
    [% IF appointment_can_edit == 1 %]
        <button
            class="button button-secondary button-small"
            [% UNLESS appointment_interface %]
                disabled="disabled"
                data-zs-title="Er is iets misgegaan. Neem contact op met de gemeente."
                data-ng-click="void(0)"
            [% ELSE %]
                data-ng-click="openPopup()"
            [% END %]
            type="button"
        >
            <[ title ]>
        </button>
    [% END %]
    <div><[ appointment.label ]></div>

    <script type="text/ng-template" id="/html/case/appointment_v2.html">
        <div class="appointment-v2-modal" data-zs-modal>
            <iframe id="appointment-iframe" ng-init="initIframe('[% endpoint %]')"/>
        </div>
    </script>

    <input style="width: 450px;"
        type="hidden"
        [% my_veldoptie_id %]
        name="[% veldoptie_name %]"
        value="<[appointment]>"
        data-ng-model="appointment"
        class="veldoptie_[% veldoptie_type %]"
        data-zs-update-field
        data-zs-pip="[% pip %]"
        data-zs-case-id="[% zaak.id %]"
    />
</span>
